import AbstractView from "./abstracts/AbstractView.js";

export default class extends AbstractView {
    constructor(params) {
        super(params, "Dashboard");
    }

    async getHtml() {
        return `
            <h1>Welcome back, Dom</h1>
            <p>
				Akel is a game engine designed to be easy to use. The purpose of the project is learning about game engine development, discovering new rendering processes and learning to use new tools. It is mainly coded on and for Linux but is cross-platform and has been tested on Windows and MacOS. 
            </p>
            <p>
                <a href="https://akel-engine.com">Akel Engine</a>.
                <a href="/posts" data-link>View recent posts</a>.
            </p>
        `;
    }
}
